# $Revision: 1.26 $, $Date: 2006/05/21 15:53:22 $
Summary:	Simple packet filter generator
Summary(pl):	Prosty generator filtrw pakietw
Name:		filtergen
Version:	0.11
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://hairy.beasts.org/filter/%{name}-%{version}.tar.gz
# Source0-md5:	de33c1dce928fe240b036498e56e545f
Source1:	filter.conf
Source2:	filter.sysconfig
Source3:	filter.init
URL:		http://hairy.beasts.org/filter/
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	firewall
Obsoletes:	filter
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool is for generating packet filtering rules from a fairly high-
level description language. It doesn't support all of the whizz-bang
features of the latest and greatest packet filters, but supports a
decent subset which is sufficient for typical workstation.

It currently supports only Linux iptables and ipchains. Cisco IOS has
been begun, but is incomplete. Darren Reed's ipfilter may be supported
at some stage. It doesn't generate optimal rulesets, and has a few
limitations which need to be removed, but is still a useful tool.

Please read HONESTY file!

%description -l pl
To jest narzdzie do generowania regu filtrowania pakietw z
wzgldnie wysokopoziomowego jzyka opisu. Nie obsuguje wszystkich
zaawansowanych moliwoci najnowszych filtrw pakietw, ale wspiera
przyzwoity podzbir, wystarczajcy dla typowych stacji roboczych.

Aktualnie obsuguje tylko linuksowe iptables i ipchains. Obsuga Cisco
IOS jest zaczta, ale nie kompletna. ipfilter Darrena Reeda jest
obsugiwany czciowo. Nie generuje optymalnych reguek i ma par
ogranicze, ktre powinny by usunite, ale mimo to jest uytecznym
narzdziem.

Przeczytaj plik HONESTY!

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -Werror -Wno-unused"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/filter} \
	$RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d} \
	$RPM_BUILD_ROOT%{_mandir}/man{5,7,8}

install filtergen $RPM_BUILD_ROOT%{_sbindir}
install filter_syntax.5 $RPM_BUILD_ROOT%{_mandir}/man5
install filter_backends.7 $RPM_BUILD_ROOT%{_mandir}/man7
install filtergen.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/filter/simple.conf
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
touch $RPM_BUILD_ROOT%{_sysconfdir}/filter/generated_rules

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add filtergen
%service filtergen restart "filtergen"

%preun
if [ "$1" = "0" ]; then
	%service filtergen stop
	/sbin/chkconfig --del filtergen
fi

%files
%defattr(644,root,root,755)
%doc README HONESTY HISTORY TODO tests
%attr(755,root,root) %{_sbindir}/filtergen
%dir %{_sysconfdir}/filter
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/filter/simple.conf
%attr(600,root,root) %{_sysconfdir}/filter/generated_rules
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: filtergen.spec,v $
Revision 1.26  2006/05/21 15:53:22  glen
- rel 2

Revision 1.25  2006/02/27 23:21:21  glen
- use %service

Revision 1.24  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.23  2004/03/28 22:01:43  qboosh
- renamed filter.spec to filtergen.spec (follow package name change)
- updated to 0.11, removed obsolete types patch

Revision 1.22  2003/08/22 15:33:15  ankry
- spaces -> tabs

Revision 1.21  2003/07/29 15:12:20  qboosh
- more specific Requires

Revision 1.20  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:47:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/12/07 14:32:50  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.17  2002/10/04 06:32:01  bonkey
- release 3
- added missed manuals

Revision 1.16  2002/09/05 07:46:30  qboosh
- fixed build on alpha (types patch), use proper CC and CFLAGS; release 2

Revision 1.15  2002/09/03 17:48:05  kloczek
- (auto)updated to 0.9: bug fixes.

Revision 1.14  2002/08/18 13:20:31  blues
- 0.8 - SECURITY update

Revision 1.13  2002/05/02 15:28:08  kloczek
- release 5.

Revision 1.12  2002/04/25 16:18:07  arturs
fixed a small typo

Revision 1.11  2002/02/22 23:28:51  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/03 22:10:50  qboosh
- Prereq: /sbin/chkconfig is back (rc-scripts doesn't require chkconfig!)
- release 4

Revision 1.8  2001/12/03 18:13:58  kloczek
- changed Prereq for /sbin/chkconfig to rc-scripts,
- spec adapterized.

Revision 1.7  2001/12/03 17:28:52  bonkey
- release: 3
- support for /etc/rc.d/init.d/filter script
- added %%{name}.sysconfig
- added %%{name}.init
- added Prereq: /sbin/chkconfig
- changed premissions for %%{_sysconfdir}/%%{name}/simple.conf to 600
- added sysconfig and init.d files
- added %%{preun,post} scripts

Revision 1.6  2001/11/27 09:14:57  qboosh
- pl translations, added missing dir; release 2

Revision 1.5  2001/10/25 08:05:53  kloczek
- removed outdated equalsigns patch.

Revision 1.4  2001/10/25 07:30:20  kloczek
- updated to 0.5.

Revision 1.3  2001/10/08 14:20:22  kloczek
- spec adapterized and some cosmetics.

Revision 1.2  2001/10/07 13:12:59  bonkey
- attr(755) for filtergen binary

Revision 1.1  2001/10/07 12:08:37  bonkey
- initial spec
